# ExportChatInviteLink - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.chat / ExportChatInviteLink

# ExportChatInviteLink

(common) `data class ExportChatInviteLink : ChatRequest, SimpleRequest<String>` (source)

### Constructors

(common)

#### <init>

`ExportChatInviteLink(chatId: ChatIdentifier)`

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<String>`

### Functions

(common)

#### method

`fun method(): String`